---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.130.0.21
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: kube-apiserver-operator-5cd7669cfc-fkhhq
      namespace: openshift-kube-apiserver-operator
      uid: b2e48bb4-5831-47ec-bb5d-c3a27a9207b0
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:27:50Z"
    creationTimestamp: "2025-10-27T11:18:43Z"
    generateName: metrics-
    generation: 7
    labels:
      app: kube-apiserver-operator
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"329f4c15-e50a-4b51-ab4b-05762de9428a"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:50Z"
    name: metrics-n6brz
    namespace: openshift-kube-apiserver-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: 329f4c15-e50a-4b51-ab4b-05762de9428a
    resourceVersion: "43587"
    uid: 8c3231ce-ba44-4424-9339-c244bbbe26f1
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219964"
